import { OnDestroy, OnInit } from '@angular/core';
import { LayoutCode } from '@colijnit/transactionapi/build/enum/layout-code.enum';
import { TransactionTypeCategory } from '../../enum/transaction-type-category.enum';
import { HistoricReport } from '@colijnit/transactionapi/build/model/historic-report.bo';
import { Icon } from '../../enum/icon.enum';
import { TransactionHeaderBaseComponent } from '../core/base/transaction-header-base.component';
export declare class TransactionSendDocumentsComponent extends TransactionHeaderBaseComponent implements OnInit, OnDestroy {
    readonly layoutCodes: typeof LayoutCode;
    set transactionTypeCategory(value: TransactionTypeCategory);
    get transactionTypeCategory(): TransactionTypeCategory;
    historicReports: HistoricReport[];
    selected: boolean;
    showClass(): boolean;
    layoutCode: LayoutCode;
    showDialog: boolean;
    activeReport: HistoricReport;
    private _transactionTypeCategory;
    ngOnInit(): void;
    ngOnDestroy(): void;
    getHistoricDocuments(): void;
    toggleSendDocumentsDialog(): void;
    handleShowHistoricDocumentLines(historicReport: HistoricReport): void;
    getSendMethodIcon(report: HistoricReport): Icon;
    getSendMethodDescription(report: HistoricReport): string;
    private _setLayoutCode;
    protected readonly LayoutCode: typeof LayoutCode;
}
